%global pypi_name rich

Name:           python-%{pypi_name}
Version:        9.6.1
Release:        %mkrel 1
Summary:        Render rich text and beautiful formatting in the terminal
Group:          Development/Python
License:        MIT
URL:            https://pypi.org/project/rich
Source0:        %{pypi_source}
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)

%description
Rich is a Python library for rich text and beautiful formatting in the terminal.
The Rich API makes it easy to add color and style to terminal output. Rich can
also render pretty tables, progress bars, markdown, syntax highlighted source
code, tracebacks, and more — out of the box.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
Rich is a Python library for rich text and beautiful formatting in the terminal.
The Rich API makes it easy to add color and style to terminal output. Rich can
also render pretty tables, progress bars, markdown, syntax highlighted source
code, tracebacks, and more — out of the box.

%prep
%autosetup -n %{pypi_name}-%{version}

%build
%py3_build

%install
%py3_install

%files -n python3-%{pypi_name}
%doc LICENSE README.md
%{python3_sitelib}/%{pypi_name}/
%{python3_sitelib}/%{pypi_name}-%{version}-py%{python3_version}.egg-info/


%changelog
* Sat Jan 02 2021 guillomovitch <guillomovitch> 9.6.1-1.mga8
+ Revision: 1668277
- new version 9.6.1

* Fri Dec 25 2020 guillomovitch <guillomovitch> 9.5.1-1.mga8
+ Revision: 1663594
- new version 9.5.1

* Thu Dec 10 2020 guillomovitch <guillomovitch> 9.3.0-1.mga8
+ Revision: 1655253
- new version 9.3.0

* Wed Nov 18 2020 guillomovitch <guillomovitch> 9.2.0-1.mga8
+ Revision: 1647265
- new version 9.2.0

* Mon Oct 26 2020 guillomovitch <guillomovitch> 9.1.0-1.mga8
+ Revision: 1639632
- new version 9.1.0

* Sun Oct 04 2020 guillomovitch <guillomovitch> 8.0.0-1.mga8
+ Revision: 1632195
- new version 8.0.0

* Sat Aug 29 2020 guillomovitch <guillomovitch> 6.0.0-1.mga8
+ Revision: 1619552
- imported package python-rich

